// Project Lab - NHTV Igad

#pragma once

#include "GUI/Menu/SubMenu.h"
#include "OverlayProgressBar.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API UOverlayProgressBar : public USubMenu
{
	GENERATED_BODY()
public:
	virtual void NativeConstruct();

	// Updates the text,etc. on the progress bar overlay
	void SetOverlayInfo(class UOverlayInfo* info);

private:
	UTextBlock* m_text;
};
